#!/usr/bin/env bash

source ${DOTFILES}/helpers.sh

function main()
{
  print_info "Configuring git"

  brewget git

  if [ ! -f "${HOME}/.gitconfig" ]; then
    cat << EOF > ${HOME}/.gitconfig
[include]
  path = ${DOTFILES}/git/gitconfig
[core]
  excludesfile = ${DOTFILES}/git/gitignore_global
EOF
  fi

  print_ok "Git configured"
}

main "$@"
